Page MenuHomePhabricator

Reduce module registrations from PageTriage
Open, Needs TriagePublic

Description

The extension currently registers 16 modules on all wikis where it is installed:

  • mediawiki.template.underscore
  • ext.pageTriage.external
  • jquery.badge.external
  • ext.pageTriage.init
  • ext.pageTriage.util
  • ext.pageTriage.models
  • jquery.tipoff
  • ext.pageTriage.views.list
  • ext.pageTriage.defaultTagsOptions
  • ext.pageTriage.externalTagsOptions
  • ext.pageTriage.defaultDeletionTagsOptions
  • ext.pageTriage.externalDeletionTagsOptions
  • ext.pageTriage.toolbarStartup
  • ext.pageTriage.article
  • ext.pageTriage.messages
  • ext.pageTriage.views.toolbar
startup data
["mediawiki.template.underscore","04nm6ui",[340,1139]],["ext.pageTriage.external","18hx74z"],["jquery.badge.external","0a62j20"],["ext.pageTriage.init","1cjhroj",[340]],["ext.pageTriage.util","0i8xh7b",[342]],["ext.pageTriage.models","1tlhfat",[342,1182,1183]],["jquery.tipoff","1f7lttn"],["ext.pageTriage.views.list","08sjy05",[344,343,1094,345,1107,1213,339]],["ext.pageTriage.defaultTagsOptions","1il2s2h"],["ext.pageTriage.externalTagsOptions","022h6x3",[347]],["ext.pageTriage.defaultDeletionTagsOptions","1cqlxka",[974,1173]],["ext.pageTriage.externalDeletionTagsOptions","0glogko",[349]],["ext.pageTriage.toolbarStartup","0sw7r96"],["ext.pageTriage.article","0yulkyf",[342,1182,1143,1213]],
["ext.pageTriage.messages","1ipi0o0",[343]],["ext.pageTriage.views.toolbar","1iyabaa",[350,348,344,341,1094,1107,1110,1213,1162,339]],

About ~1 KB (uncompressed)

  • Identify which bundles need to exist (modules that need to be queued via addModules or lazy-loaded).
  • Identify whether they have a common set of scripts that would justify a shared non-entrypoint dependency.
  • Merge the rest.

Details

Related Gerrit Patches:

Event Timeline

Krinkle created this task.Apr 17 2019, 6:40 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptApr 17 2019, 6:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 504605 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/PageTriage@master] Remove unused ext.pageTriage.messages dependency from defaultDeletionTagsOptions

https://gerrit.wikimedia.org/r/504605

Change 504650 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/PageTriage@master] Merge ext.pageTriage.messages into the module that needs it

https://gerrit.wikimedia.org/r/504650

Change 504605 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Remove unused ext.pageTriage.messages dependency from defaultDeletionTagsOptions

https://gerrit.wikimedia.org/r/504605

Change 504650 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Merge ext.pageTriage.messages into the module that needs it

https://gerrit.wikimedia.org/r/504650

Krinkle updated the task description. (Show Details)May 6 2019, 10:03 PM
JTannerWMF moved this task from Inbox to Revisit on the Growth-Team board.May 8 2019, 7:19 PM
JTannerWMF added a subscriber: JTannerWMF.

This isn't within scope right now but we may work on it later.

Change 516245 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/PageTriage@master] Merge 'ext.pageTriage.models' into 'ext.pageTriage.util'

https://gerrit.wikimedia.org/r/516245

Change 516245 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Merge module 'ext.pageTriage.models' into 'ext.pageTriage.util'

https://gerrit.wikimedia.org/r/516245